Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.behavior
Class ToggleControl

    java.lang.Object
      javax.faces.component.behavior.BehaviorBase
          javax.faces.component.behavior.ClientBehaviorBase
              org.richfaces.component.behavior.ClientBehavior
                  org.richfaces.component.behavior.ToggleControl

All Implemented Interfaces:
  javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder

    public class ToggleControl

extends ClientBehavior

The <rich:toggleControl> behavior can be attached to any interface component, whether inside or outside the controlled panel itself. It works with a <rich:togglePanel> component to switch between different <rich:togglePanelItem> components.

Author:
  akolonitsky

Field Summary
`static String` | `BEHAVIOR_ID`

Constructor Summary
`ToggleControl()`

Method Summary
`Boolean` | `getDisableDefault()`
`static AbstractTogglePanel` | `getEnclosedPanel(javax.faces.component.UIComponent comp)`
`String` | `getEvent()` The event on which to toggle the target panel
`AbstractTogglePanel` | `getPanel(javax.faces.component.UIComponent comp)`
`String` | `getPanelId(javax.faces.component.behavior.ClientBehaviorContext behaviorContext)`
`String` | `getRendererType()`
`String` | `getTargetItem()` The next <rich:togglePanelItem> to switch to
`String` | `getTargetPanel()` The <rich:togglePanel> to switch when this <rich:toggleControl> is not a child of a <rich:togglePanel>
`void` | `setDisableDefault(Boolean disableDefault)` If "true", disable the default action of the parent component
`void` | `setEvent(String eventName)`
`void` | `setLiteralAttribute(String name, Object value)`
`void` | `setTargetItem(String target)`
`void` | `setTargetPanel(String selector)`

Methods inherited from class org.richfaces.component.behavior.ClientBehavior
`compare, getFacesContext, getStateHelper, getValueExpression, restoreState, saveState, setLiteralValue, setValueExpression`

Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase
`decode, getHints, getRenderer, getScript`

Methods inherited from class javax.faces.component.behavior.BehaviorBase
`addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.Behavior
`broadcast`

Field Detail

### BEHAVIOR_ID

    public static final String BEHAVIOR_ID

See Also:
  Constant Field Values

Constructor Detail

### ToggleControl

    public ToggleControl()

Method Detail

### getEvent

    public String getEvent()

  The event on which to toggle the target panel

### setEvent

    public void setEvent(String eventName)

### getTargetItem

    public String getTargetItem()

  The next <rich:togglePanelItem> to switch to

### setTargetItem

    public void setTargetItem(String target)

### getTargetPanel

    public String getTargetPanel()

  The <rich:togglePanel> to switch when this <rich:toggleControl> is not a child of a <rich:togglePanel>

### setTargetPanel

    public void setTargetPanel(String selector)

### setDisableDefault

    public void setDisableDefault(Boolean disableDefault)

  If "true", disable the default action of the parent component

### getDisableDefault

    public Boolean getDisableDefault()

### getPanelId

    public String getPanelId(javax.faces.component.behavior.ClientBehaviorContext behaviorContext)
                      throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### getPanel

    public AbstractTogglePanel getPanel(javax.faces.component.UIComponent comp)
                                 throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### getEnclosedPanel

    public static AbstractTogglePanel getEnclosedPanel(javax.faces.component.UIComponent comp)

### getRendererType

    public String getRendererType()

  Overrides:
    `getRendererType` in class `javax.faces.component.behavior.ClientBehaviorBase`

### setLiteralAttribute

    public void setLiteralAttribute(String name,
                                    Object value)

  Specified by:
    `setLiteralAttribute` in class `ClientBehavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.